#if !defined(AFX_COLORRANGECTRL_H__FEE6CBA1_1423_4230_876D_FAE8E5CB4449__INCLUDED_)
#define AFX_COLORRANGECTRL_H__FEE6CBA1_1423_4230_876D_FAE8E5CB4449__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ColorRangeCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CColorRangeCtrl window

class CColorRangeCtrl : public CSliderCtrl
{
// Construction
public:
	CColorRangeCtrl();
	void SetColorRange(COLORREF bot,COLORREF top);
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorRangeCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CColorRangeCtrl();

	// Generated message map functions
protected:
	CBitmap BgdBmp;
	COLORREF bcolor,tcolor;
	//{{AFX_MSG(CColorRangeCtrl)
	afx_msg void OnCustomdraw(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORRANGECTRL_H__FEE6CBA1_1423_4230_876D_FAE8E5CB4449__INCLUDED_)
